%define upstream_name    DateTime-Tiny
%define upstream_version 1.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A date object, with as little code as possible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
*DateTime::Tiny* is a most prominent member of the the DateTime::Tiny
manpage suite of time modules.

It implements an extremely lightweight object that represents a datetime.

The Tiny Mandate
    Many CPAN modules which provide the best implementation of a certain
    concepts are very large. For some reason, this generally seems to be
    about 3 megabyte of ram usage to load the module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.80.0-2.mga10
+ Revision: 2252000
- Mageia 10 Mass Rebuild

* Tue Apr 22 2025 tv <tv> 1.80.0-1.mga10
+ Revision: 2178086
- update to 1.08

* Sun Mar 20 2022 umeabot <umeabot> 1.70.0-4.mga9
+ Revision: 1808756
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.70.0-3.mga8
+ Revision: 1503794
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.70.0-2.mga7
+ Revision: 1282704
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 guillomovitch <guillomovitch> 1.70.0-1.mga7
+ Revision: 1221407
- new version 1.07

* Thu Aug 25 2016 guillomovitch <guillomovitch> 1.60.0-1.mga6
+ Revision: 1048921
- new version 1.06

* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-5.mga6
+ Revision: 1025333
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.40.0-4.mga6
+ Revision: 935741
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 746062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 684292
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 guillomovitch <guillomovitch> 1.40.0-1.mga5
+ Revision: 583472
- imported package perl-DateTime-Tiny


* Wed Feb 05 2014 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
